Name:           osmo-hlr
Version:        1.9.1
Release:        1.dcbw%{?dist}
Summary:        Osmocom HLR Implementation
License:        AGPL-3.0-or-later AND GPL-2.0-or-later

URL:            https://github.com/osmocom/osmo-hlr

BuildRequires:  git gcc autoconf automake libtool doxygen systemd-devel
BuildRequires:  libtalloc-devel sqlite-devel
BuildRequires:  libosmocore-devel >= 1.10.0
BuildRequires:  libosmo-abis-devel >= 2.0.0

Source0: %{name}-%{version}.tar.bz2

Requires: osmo-usergroup


%description
C-language implementation of a GSM Home Location Register (HLR)

%package          devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description      devel
Development files for %{name}.


%prep
%autosetup -p1


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
echo "%{version}" >.tarball-version
autoreconf -fiv
%configure --enable-shared \
           --disable-static \
           --with-systemdsystemunitdir=%{_unitdir}

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
sed -i 's|UNKNOWN|%{version}|' %{buildroot}%{_libdir}/pkgconfig/*.pc


%check
make check || true

%ldconfig_scriptlets

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%post
%systemd_post %{name}.service


%files
%license COPYING
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_unitdir}/%{name}.service
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_sysconfdir}/osmocom/%{name}.cfg
%{_libdir}/*.so.*
%{_datadir}/*

%files devel
%{_includedir}/osmocom/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun  8 2025 Dan Williams <dan@ioncontrol.co> - 1.9.1
- Update to 1.9.1

* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
